Function Main(cDataFile, cNtxFile, nRecordno)
local nStrtTm,nStopTm,i

if cDataFile <> NIL
   if val(cDataFile) > 0
      OutStd(chr(13)+chr(10)+'Creating Sample Database... Please Stand By...')
      use sample
      copy stru to client
      use client
      */\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\*
      * Remember Index Key Must be Unique! *
      *          (See Readme.Doc)          *
      */\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\*
      index on trim(upper(CLIENT->LASTNAME))+upper(CLIENT->FIRSTNAME)+space(len(CLIENT->LASTNAME)-len(trim(CLIENT->LASTNAME))) to CLNAME
      for i = 1 to val(cDataFile)
         append from sample
      next
      close databases
      OutStd(chr(13)+'Creating Sample Database... << Completed >>...'+chr(13)+chr(10))
      OutStd(chr(13)+chr(10)+'type "LRECDEMO CLIENT CLNAME"'+chr(13)+chr(10))
      OutStd(chr(13)+chr(10))
      Return(NIL)
   endif
endif

if cDataFile == NIL .or. cNtxfile == NIL
   OutStd(chr(13)+chr(10)+"LRECDEMO.PRG  By David Goodale."+chr(13)+chr(10))
   OutStd("Syntax: LRECDEMO <cDbfFile> <cNtxName> [<nRecno>]"+chr(13)+chr(10))
   OutStd("   or : LRECDEMO <nNoRecs> (Create Sample Database & Index)"+chr(13)+chr(10))
   OutStd(" Notes: <nNoRecs> will create a File with <nNoRecs>*50 records"+chr(13)+chr(10))
   OutStd(" Notes: <nRecno> defaults to Lastrec()/2 (The Longest Record to locate)"+chr(13)+chr(10))
   OutStd(chr(13)+chr(10))
   Return(NIL)
endIf


use (cDataFile) index (cNtxFile)

if nRecordno = NIL
   nRecordno := Lastrec()/2
endif

goto top
OutStd(chr(13)+chr(10))
nStrtTm := Seconds()
OutStd('Logical Recno: '+str(lrecno(),6,0)+chr(13)+chr(10))
nStopTm := seconds()
OutStd('Actual Recno : '+str(recno(),6,0)+chr(13)+chr(10))
OutStd('Elasped Time : '+str(nStopTm-nStrtTm,7,2)+chr(13)+chr(10)+chr(13)+chr(10))


goto nRecordno
nStrtTm := Seconds()
OutStd('Logical Recno: '+str(lrecno(),6,0)+chr(13)+chr(10))
nStopTm := seconds()
OutStd('Actual Recno : '+str(recno(),6,0)+chr(13)+chr(10))
OutStd('Elasped Time : '+str(nStopTm-nStrtTm,7,2)+chr(13)+chr(10)+chr(13)+chr(10))

*-------------------------------------------------------------*
*   Can Be Used to Determine the Number of Records in Index   *
*-------------------------------------------------------------*
goto bott
nStrtTm := Seconds()
OutStd('Logical Recno: '+str(lrecno(),6,0)+chr(13)+chr(10))
nStopTm := seconds()
OutStd('Actual Recno : '+str(recno(),6,0)+chr(13)+chr(10))
OutStd('Elasped Time : '+str(nStopTm-nStrtTm,7,2)+chr(13)+chr(10))
OutStd(chr(13)+chr(10))

Return(NIL)
